Get Brand
curl --request GET \
--url https://api.example.com/api/v1/brands/{brandId} \
--header 'Authorization: <authorization>'import requests
url = "https://api.example.com/api/v1/brands/{brandId}"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.example.com/api/v1/brands/{brandId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"brand": {
"id": "<string>",
"name": "<string>",
"domain": "<string>",
"description": "<string>",
"createdAt": "<string>",
"stats": {
"promptsCount": 123,
"answersCount": 123,
"competitorsCount": 123
}
}
}Brands
Get Brand
Retrieve detailed information about a specific brand
GET
/
api
/
v1
/
brands
/
{brandId}
Get Brand
Retrieve detailed information about a specific brand, including aggregate statistics for prompts, answers, and competitors.
string
required
Bearer token. Example:
Bearer qw-api-xxxPath Parameters
string
required
The unique brand identifier
Response
boolean
Indicates if the request was successful
object
Show Brand details
Show Brand details
string
Unique brand identifier (UUID)
string
Brand display name
string
Primary domain for the brand
string
Brand description (can be null)
string
ISO 8601 creation timestamp
Example Request
curl -X GET "https://www.qwairy.co/api/v1/brands/cm1234567890abcdef" \
-H "Authorization: Bearer qw-api-your-token-here"
Example Response
{
"success": true,
"brand": {
"id": "cm1234567890abcdef",
"name": "My Brand",
"domain": "mybrand.com",
"description": "Leading provider of innovative solutions",
"createdAt": "2024-01-15T10:30:00.000Z",
"stats": {
"promptsCount": 156,
"answersCount": 312,
"competitorsCount": 8
}
}
}
Error Responses
| Status | Code | Description |
|---|---|---|
| 401 | INVALID_TOKEN | Authentication failed |
| 404 | BRAND_NOT_FOUND | Brand doesn’t exist or not accessible |
⌘I

